Bug 1655749 - [Tasks] Active Task Tab is No Longer Being Highlighted
Summary: [Tasks] Active Task Tab is No Longer Being Highlighted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Dávid Halász
QA Contact: Sudhir Mallamprabhakara
Red Hat CloudForms Documentation
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 19:57 UTC by juwatts
Modified: 2019-02-12 16:49 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-12 16:49:38 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description juwatts 2018-12-03 19:57:51 UTC
Description of problem:
When on the Tasks page, the "My Tasks" or "All Tasks" tab is no longer highlighted to show which tab is the active one 


Version-Release number of selected component (if applicable):
5.10.0.27.20181128170555_43ed8cb

How reproducible:
100%

Steps to Reproduce:
1. Navigate to Administrator-> Tasks
2. Select either "My Tasks" or "All Tasks" tab

Actual results:
Neither tab will highlight to show which is the active tab


Expected results:
Tab that is clicked is highlighted


Additional info:

In 5.9, the active tab use to have the following in the DOM:
<li class="active">

In 5.10, this is no longer the case. Our automation was looking for the "active" class to determine which tag was active.

Comment 4 CFME Bot 2018-12-07 08:02:56 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/ed9894520b1f5e9142e6361f42a7e8d5d32932a7
commit ed9894520b1f5e9142e6361f42a7e8d5d32932a7
Author:     Dávid Halász <dhalasz@redhat.com>
AuthorDate: Thu Dec  6 10:35:35 2018 -0500
Commit:     Dávid Halász <dhalasz@redhat.com>
CommitDate: Thu Dec  6 10:35:35 2018 -0500

    Use the uib-tab parameter for switching tabs on the tasks screen

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1655749

 app/controllers/miq_task_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 CFME Bot 2018-12-10 16:01:58 UTC
New commit detected on ManageIQ/manageiq-ui-classic/hammer:

https://github.com/ManageIQ/manageiq-ui-classic/commit/e563b6d9dbfca9a231dd2c07673563a7992c6792
commit e563b6d9dbfca9a231dd2c07673563a7992c6792
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Fri Dec  7 03:01:26 2018 -0500
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Fri Dec  7 03:01:26 2018 -0500

    Merge pull request #5054 from skateman/uib-tab-tasks

    Use the uib-tab parameter for switching tabs on the tasks screen

    (cherry picked from commit 9e541dc5636e4d333396305357bc6dc00323cc0d)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1655749

 app/controllers/miq_task_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 6 juwatts 2018-12-13 19:15:03 UTC
Verified in 5.10.0.29.20181211195209_fd990a9

Verification Steps:
1. Navigate to Administrator-> Tasks
2. Select either "My Tasks" or "All Tasks" tab
3. Verified the active tab is now highlighted
4. Verified in the DOM that the active tab now has <li class="active">


Note You need to log in before you can comment on or make changes to this bug.